Subject: Re: [OAUTH-WG] Robert Wilton's Discuss on draft-ietf-oauth-jwt-introspection-response-10: (with DISCUSS)

From: Vladimir Dzhuvinov <[email-masked]>
Date: Wed, 12 May 2021 14:15:37 +0300

Hi all,

In preparation for a new v11 of the draft the language regarding the 
adherence to privacy regulations was updated along the lines of Roman's 
suggestion (thanks for that!):

"""

The token introspection response can be used to transfer personal 
identifiable information (PII) from the AS to the RS. The AS MUST 
conform to legal and jurisdictional constraints for the data transfer 
before any data is released to a particular RS. The details and 
determining of these constraints varies by jurisdiction and is outside 
the scope of this document.

"""

The diff for this edit is here:

https://github.com/oauthstuff/draft-ietf-oauth-jwt-introspection-response/commit/48911a1afff9f3120773a157c4e14cbf3aa9f3de#diff-c4d976e7848e055731f69102bf2d6e4e7cf7d997efc1f202eb3b940d44746274

The current doc:

https://github.com/oauthstuff/draft-ietf-oauth-jwt-introspection-response/blob/master/draft-ietf-oauth-jwt-introspection-response.xml

Vladimir

Vladimir Dzhuvinov

On 04/02/2021 16:40, Roman Danyliw wrote:
> Hi! Rob!
>
>> -----Original Message-----
>> From: OAuth <[email-masked]> On Behalf Of Robert Wilton via
>> Datatracker
>> Sent: Thursday, February 4, 2021 6:20 AM
>> To: The IESG <[email-masked]>
>> Cc: [email-masked]; draft-ietf-oauth-jwt-introspection-
>> [email-masked]; [email-masked]
>> Subject: [OAUTH-WG] Robert Wilton's Discuss on draft-ietf-oauth-jwt-
>> introspection-response-10: (with DISCUSS)
>>
>> Robert Wilton has entered the following ballot position for
>> draft-ietf-oauth-jwt-introspection-response-10: Discuss
>>
>> When responding, please keep the subject line intact and reply to all email
>> addresses included in the To and CC lines. (Feel free to cut this introductory
>> paragraph, however.)
>>
>>
>> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
>> for more information about IESG DISCUSS and COMMENT positions.
>>
>>
>> The document, along with other ballot positions, can be found here:
>> https://datatracker.ietf.org/doc/draft-ietf-oauth-jwt-introspection-response/
>>
>>
>>
>> ----------------------------------------------------------------------
>> DISCUSS:
>> ----------------------------------------------------------------------
>>
>> Hi,
>>
>> Thank you for this document.
>>
>> I have a  couple of process related questions regarding the legal aspects
>> considered in chapter 9 on privacy that I would like to discuss with the other
>> ADs on the telechat (hence raising it as a Discuss).
>>
>> My two questions are:
>>
>> (1) Is it appropriate for an RFC to specifying requirements relating to legal
>> issues and laws?  Note, I think that the guidance that is provides is really
>> helpful and should be included in the document, but I'm a bit concerned as to
>> whether a standards track RFC should be stating formal
>> requirements/constraints related to enforcing legal requirements rather that
>> providing non-normative guidance.
>>
>> (2) Related to the first question, if the IESG believes believes that providing
>> such requirements is okay, a further question is whether using RFC 2119
>> language is appropriate, or whether this should use regular English?
>>
>> An example from section 9:
>>
>>     The AS MUST ensure a
>>     legal basis exists for the data transfer before any data is released
>>     to a particular RS.  The way the legal basis is established might
>>     vary among jurisdictions and MUST consider the legal entities
>>     involved.
> I can see your point.  I believe this language is here to make a very strong statement on the needed for operational policies that conform to the variety of privacy laws which often governs some of this data.
>
> I'll let the authors/co-chairs comment.  To start the discussion, let me propose rough text that dilutes the legal mandate a bit but tries to keep the spirit of the intent.
>
> NEW
> The AS MUST conform to jurisdictional constraints for the data transfer before any data is released to a particular RS.  These constraints will vary by jurisdictions; and their details and determining which apply to this release to RSs is outside the scope of this document.
>
> Regards,
> Roman
>
>